The Error Log Viewer WordPress plugin before 1.1.2 does not perform nonce check when deleting a log file and does not have path traversal prevention, which could allow attackers to make a logged in admin delete arbitrary text files on the web server.
Published 2022-02-01 13:15:08
Updated 2022-10-27 19:26:18
Source WPScan
View at NVD,   CVE.org
Vulnerability category: Directory traversalCross-site request forgery (CSRF)

Exploit prediction scoring system (EPSS) score for CVE-2021-24761

0.06%
Probability of exploitation activity in the next 30 days EPSS Score History
~ 26 %
Percentile, the proportion of vulnerabilities that are scored at or less

CVSS scores for CVE-2021-24761

Base Score Base Severity CVSS Vector Exploitability Score Impact Score Score Source First Seen
4.3
MEDIUM AV:N/AC:M/Au:N/C:N/I:P/A:N
8.6
2.9
NIST
6.5
MEDIUM CVSS:3.1/AV:N/AC:L/PR:N/UI:R/S:U/C:N/I:H/A:N
2.8
3.6
NIST

CWE ids for CVE-2021-24761

  • The product uses external input to construct a pathname that is intended to identify a file or directory that is located underneath a restricted parent directory, but the product does not properly neutralize special elements within the pathname that can cause the pathname to resolve to a location that is outside of the restricted directory.
    Assigned by:
    • contact@wpscan.com (Primary)
    • nvd@nist.gov (Secondary)
  • The web application does not, or can not, sufficiently verify whether a well-formed, valid, consistent request was intentionally provided by the user who submitted the request.
    Assigned by:
    • contact@wpscan.com (Primary)
    • nvd@nist.gov (Secondary)

References for CVE-2021-24761

Products affected by CVE-2021-24761

This web site uses cookies for managing your session, storing preferences, website analytics and additional purposes described in our privacy policy.
By using this web site you are agreeing to CVEdetails.com terms of use!